/*

 * ====================================================================

 * The Apache Software License, Version 1.1

 *

 * Copyright (c) 2001 The Apache Software Foundation.  All rights

 * reserved.

 *

 * Redistribution and use in source and binary forms, with or without

 * modification, are permitted provided that the following conditions

 * are met:

 *

 * 1. Redistributions of source code must retain the above copyright

 * notice, this list of conditions and the following disclaimer.

 *

 * 2. Redistributions in binary form must reproduce the above copyright

 * notice, this list of conditions and the following disclaimer in

 * the documentation and/or other materials provided with the

 * distribution.

 *

 * 3. The end-user documentation included with the redistribution,

 * if any, must include the following acknowledgment:

 * "This product includes software developed by the

 * Apache Software Foundation (http://www.apache.org/)."

 * Alternately, this acknowledgment may appear in the software itself,

 * if and wherever such third-party acknowledgments normally appear.

 *

 * 4. The names "Apache" and "Apache Software Foundation" and

 * "Apache JMeter" must not be used to endorse or promote products

 * derived from this software without prior written permission. For

 * written permission, please contact apache@apache.org.

 *

 * 5. Products derived from this software may not be called "Apache",

 * "Apache JMeter", nor may "Apache" appear in their name, without

 * prior written permission of the Apache Software Foundation.

 *

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED

 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES

 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE

 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR

 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF

 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND

 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,

 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT

 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

 * SUCH DAMAGE.

 * ====================================================================

 *

 * This software consists of voluntary contributions made by many

 * individuals on behalf of the Apache Software Foundation.  For more

 * information on the Apache Software Foundation, please see

 * <http://www.apache.org/>.

 */

 package org.apache.jmeter.junit.protocol.http.control;



import junit.framework.TestCase;



import java.util.*;



import org.apache.jmeter.protocol.http.control.HttpTestSample;

import org.apache.jmeter.protocol.http.config.UrlConfig;

import org.apache.jmeter.config.*;

import org.apache.jmeter.control.NoEntryException;

import org.apache.jmeter.samplers.*;



/************************************************************

 *  Title: Apache JMeter Description: Copyright: Copyright (c) 2000 Company:

 *  Apache Foundation

 *

 *@author     Michael Stover

 *@created    $Date: 2001/08/16 23:36:56 $

 *@version    1.0

 ***********************************************************/



public class HttpTestSampleTest extends TestCase

{

	HttpTestSample sample, supposedToFail;



	/************************************************************

	 *  !ToDo (Constructor description)

	 *

	 *@param  name  !ToDo (Parameter description)

	 ***********************************************************/

	public HttpTestSampleTest(String name)

	{

		super(name);

	}



	/************************************************************

	 *  !ToDo

	 ***********************************************************/

	public void setUp()

	{

		sample = new HttpTestSample();
		sample.setName("Test Sample");
		sample.setDefaultUrl(getDefaultUrl());
		supposedToFail = new HttpTestSample();

	}

	/************************************************************

	 *  !ToDo

	 ***********************************************************/

	public void testNext()
	{
		Entry next = null;
		for (int x = 0; x < 10; x++)
		{
				next = sample.nextEntry();
				if(!(next instanceof CycleEntry))
				{
					assertEquals("www.xerox.com", ((UrlConfig)next.getConfigElement(
							UrlConfig.class)).getProperty(UrlConfig.DOMAIN));
				}
		}
	}

	private UrlConfig getDefaultUrl()
	{
		UrlConfig def = new UrlConfig();
		def.putProperty(def.DOMAIN, "www.xerox.com");
		def.putProperty(def.PATH, "index.html");
		def.putProperty(def.METHOD, def.GET);
		return def;
	}

	private UrlConfig getUrl_2()
	{
		UrlConfig con = new UrlConfig();
		con.putProperty(con.PATH, "login.jsp");
		con.putProperty(con.METHOD, con.POST);
		Arguments args = new Arguments();
		args.addArgument("username", "mstover");
		args.addArgument("password", "pass");
		args.addArgument("action", "login");
		con.putProperty(con.ARGUMENTS, args);
		return con;
	}
}

