package org.apache.jmeter.reporters;

import java.util.*;
import java.io.*;

import org.apache.jmeter.samplers.*;
import org.apache.jmeter.assertions.*;
import org.apache.jmeter.gui.ModelSupported;
import org.apache.jmeter.util.JMeterUtils;

/**
 * Title:        Jakarta-JMeter
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Apache
 * @author Michael Stover
 * @version 1.0
 */

public class AssertionReporter extends ResultCollector implements Serializable
{


	public AssertionReporter()
	{
	}


	public String getClassLabel()
	{
                return JMeterUtils.getResString("assertion_visualizer_title");
	}

	public String getAssertionResult()
	{
		SampleResult res = getCurrentSample();
		if(res != null)
		{
			StringBuffer display = new StringBuffer();
			List assertionResults = (List)res.getValue(res.ASSERTION_RESULTS);
			if(assertionResults != null)
			{
				Iterator iter = assertionResults.iterator();
				while (iter.hasNext()) {
					AssertionResult item = (AssertionResult)iter.next();
					if(item.isFailure() || item.isError())
					{
						display.append("\n\t\t");
						display.append(item.getFailureMessage());
					}
				}
			}
			return display.toString();
		}
		return "";
	}

	public Class getGuiClass()
	{
		return org.apache.jmeter.visualizers.AssertionVisualizer.class;
	}


}
