package org.apache.jmeter.save.handlers;

import org.apache.jmeter.save.Saveable;
import java.io.Writer;
import org.apache.jmeter.save.xml.*;
import org.apache.jmeter.reporters.Filer;
import org.xml.sax.Attributes;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class FilerHandler extends TagHandler
{
	Filer model;

	public FilerHandler()
	{
	}

	public void save(Saveable saveObject, Writer out) throws java.io.IOException
	{
 		// protect ourselves from bad input.
		if ((saveObject == null) || (out == null))
		{
			// error!
		}
		else
		{
	 		Filer save = (Filer)saveObject;

			// validate filename
			String filename = save.getFile();
			if (filename == null)
			{
				System.err.println("Error. Missing filename in File Reporter.");
				filename = "";
			}

			out.write("<Filer type=\"");
			out.write(JMeterHandler.convertToXML(save.getClass().getName()));
			out.write("\" name=\"");
			out.write(JMeterHandler.convertToXML(save.getName()));
			out.write("\" verbose=\"");
			out.write(""+save.getVerbose());
			out.write("\" append=\"");
			out.write(""+save.getAppend());
			out.write("\" autoFlush=\"");
			out.write("" + save.getAutoFlush());
			out.write("\" viewSubmitData=\"");
			out.write("" + save.getViewSubmitData());
			out.write("\" file=\"");
			out.write(JMeterHandler.convertToXML(filename));
			out.write("\"/>");
		}
	}

	public void setAtts(Attributes atts) throws java.lang.Exception
	{
		model = (Filer)Class.forName(atts.getValue("type")).newInstance();
		model.setName(atts.getValue("name"));
		model.setFile(atts.getValue("file"));
		model.setVerbose(atts.getValue("verbose").equals("true") ? true :false);
		model.setAppend(atts.getValue("append").equals("true") ? true :false);
                String data = atts.getValue("viewSubmitData");
                if(data == null) // check for backward compatibility
                  data = "";
                model.setViewSubmitData(data.equals("true"));
                data = atts.getValue("autoFlush");
                if(data == null)
                  data = "";
                model.setAutoFlush(data.equals("true"));

	}

	public String getPrimaryTagName()
	{
		return "Filer";
	}

	public Object getModel()
	{
		return model;
	}
}
